commit:     71c2cc0ea6c90140507c92f0d8fe83a79593371a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 24 10:58:39 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 24 13:18:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71c2cc0e

dev-python/owslib: Add python3_6 support

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/owslib/owslib-0.16.0-r1.ebuild | 44 +++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-python/owslib/owslib-0.16.0-r1.ebuild 
b/dev-python/owslib/owslib-0.16.0-r1.ebuild
new file mode 100644
index 00000000000..fb3bf6e9f92
--- /dev/null
+++ b/dev-python/owslib/owslib-0.16.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+inherit distutils-r1
+
+DESCRIPTION="Library for client programming with Open Geospatial Consortium 
web service"
+HOMEPAGE="https://geopython.github.io/OWSLib";
+SRC_URI="https://github.com/geopython/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/pyproj[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       || (
+               dev-python/elementtree[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               dev-python/tox[${PYTHON_USEDEP}]
+       )
+"
+
+RESTRICT="test" # tests require WAN access
+
+S="${WORKDIR}/OWSLib-${PV}"
+
+python_test() {
+       "${EPYTHON}" "${S}/setup.py" test || die
+}

Reply via email to